Architektura: Osie

From FreeCAD Documentation
Revision as of 09:43, 7 April 2024 by Kaktus (talk | contribs) (Created page with "{{Caption|Dwie osie obiektów ustawione prostopadle do siebie w celu utworzenia siatki.}}")

Arch Axis

Menu location
Architektura → Narzędzia osi → Osie
Workbenches
Architektura
Default shortcut
A X
Introduced in version
-
See also
Układ osi, Siatka

Opis

Narzędzie Osie pozwala na umieszczenie serii osi w bieżącym dokumencie. Odległość i kąt między osiami można dostosować, podobnie jak styl numeracji. Osie służą głównie jako odniesienia do przyciągania obiektów, ale mogą być również używane razem z Układem osi. Mogą być one również przywoływane przez inne obiekty architektury w celu utworzenia parametrycznych szyków, na przykład belek lub słupów. Zamiast osi mozna również użyć Siatki.

Dwie osie obiektów ustawione prostopadle do siebie w celu utworzenia siatki.

Usage

  1. Press the Arch Axis button, or press A then X keys.
  2. Move/rotate the axes system to the desired position.
  3. Enter edit mode by double-clicking the axes system in the tree view to adjust its settings like number of axes, distances and angles between axes.

Options

  • Each axis in the series has its own distance and angle in relation to the previous axis. This allows to do very complex systems such as non-orthogonal systems, polar systems or any kind of non-uniform system.
  • Double-clicking the axis in the tree view allows to edit the distances, angles and labels of each axis.
  • Axes length, size of the bubbles and numbering styles are customizable directly via the axes system's properties.
  • Each axis can also display a label, which is editable via the task panel dialog.

Properties

  • DANELength: The length of the axes
  • DANELimit: If greater than zero, each axis will be represented as two lines of the given length instead of one continuous line introduced in version 0.20
  • WIDOKBubble Size: The size of the axis bubbles
  • WIDOKNumeration style: How the axes are numbered: 1,2,3, A,B,C, etc...
  • WIDOKBubble Position: Where the bubble is placed on the axis: At start point, endpoint, both or none.
  • WIDOKFont Name: A font to draw the bubble number and/or labels
  • WIDOKFont Size: The size of the label text only (bubble text is controlled by the bubble size)
  • WIDOKShow Labels: Turns the display of the label texts on/off

Use as section mark

By setting the Bubble Position property to Arrow left/right or Bar left/right, the axis will display a filled arrow or bar instead of the bubble, so it can be used as a section mark. introduced in version 0.20

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Axis tool can be used in macros and from the Python console by using the following function:

Axes = makeAxis(num=5, size=1000, name="Axes")
  • Creates an Axes object from the given number (num) of axes, and size, the interval between each axis.

Example:

import Draft, Arch

Axes = Arch.makeAxis(5, 1000)

Axes.ViewObject.LineWidth = 3
Axes.ViewObject.BubbleSize = 200
Axes.ViewObject.FontSize = 150

Axes2 = Arch.makeAxis(6, 500)

Axes2.ViewObject.LineWidth = 2
Axes2.ViewObject.BubbleSize = 200
Axes2.ViewObject.FontSize = 150
Axes2.ViewObject.NumberingStyle = "A,B,C"
FreeCAD.ActiveDocument.recompute()

Axes2.Length = 6000
Draft.rotate(Axes2, -90)
Draft.move(Axes2, FreeCAD.Vector(-1000, 2500, 0))
FreeCAD.ActiveDocument.recompute()